BundleCapability
Date: 2016-06-24

org.osgi.framework.wiring

## Interface BundleCapability

- All Superinterfaces:
    Capability

      @ProviderType
      public interface BundleCapability
      extends Capability

  A capability that has been declared from a `bundle revision`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `getAttributes()` Returns the attributes of this capability.
    `java.util.Map<java.lang.String,java.lang.String>` | `getDirectives()` Returns the directives of this capability.
    `java.lang.String` | `getNamespace()` Returns the namespace of this capability.
    `BundleRevision` | `getResource()` Returns the resource declaring this capability.
    `BundleRevision` | `getRevision()` Returns the bundle revision declaring this capability.

    - ### Methods inherited from interface org.osgi.resource.Capability

      `equals, hashCode`

- - ### Method Detail

    - #### getRevision

          BundleRevision getRevision()

      Returns the bundle revision declaring this capability.
      Returns:
        The bundle revision declaring this capability.

    - #### getNamespace

          java.lang.String getNamespace()

      Returns the namespace of this capability.
      Specified by:
        `getNamespace` in interface `Capability`
      Returns:
        The namespace of this capability.

    - #### getDirectives

          java.util.Map<java.lang.String,java.lang.String> getDirectives()

      Returns the directives of this capability.

      All capability directives not specified by the `wiring namespaces` have no specified semantics and are considered extra user defined information.

      Specified by:
        `getDirectives` in interface `Capability`
      Returns:
        An unmodifiable map of directive names to directive values for this capability, or an empty map if this capability has no directives.

    - #### getAttributes

          java.util.Map<java.lang.String,java.lang.Object> getAttributes()

      Returns the attributes of this capability.
      Specified by:
        `getAttributes` in interface `Capability`
      Returns:
        An unmodifiable map of attribute names to attribute values for this capability, or an empty map if this capability has no attributes.

    - #### getResource

          BundleRevision getResource()

      Returns the resource declaring this capability.

      This method returns the same value as `getRevision()`.

      Specified by:
        `getResource` in interface `Capability`
      Returns:
        The resource declaring this capability.
      Since:
        1.1